<template class="w-4/4">
    <div class="p-5">
        <div class="w-1/2 m-auto">
            <label class="block text-gray-700 text-sm font-bold mb-2">
                Enter a number
            </label>
            <div class="flex flex-row">
                <input type="number"
                       placeholder="Enter a number..."
                       class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                       v-model="number"
                />
                <button class="bg-teal-600 hover:bg-teal-700 text-white font-bold py-1 px-2 border-b-4 border-teal-700 hover:border-teal-600 rounded"
                        @click="square"
                >
                    Square
                </button>
            </div>
            <div v-if="numberSquared" class="bg-blue-200 mt-4 p-4 animated bounceInUp">
                <p class="text-gray-700 font-bold text-3xl">({{numberAux}})<sup class="text-sm">2</sup> =
                    {{numberSquared}}</p>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "NumberSquare",
        data: () => {
            return {
                number: '',
                numberAux: '',
                numberSquared: ''
            }
        },
        methods: {
            square() {
                try {
                    this.numberAux = this.number
                    if (this.number.includes('.')) {
                        this.numberSquared = parseFloat(this.number)
                    } else {
                        this.numberSquared = parseInt(this.number)
                    }
                    this.numberSquared = this.number ** 2;
                    setTimeout(() => {
                        this.numberSquared = ''
                        this.numberAux = ''
                    }, 5000)
                } catch (e) {
                    this.$alertify.error('Enter a valid number 🤮')
                }
            }
        }
    }
</script>

<style scoped>

</style>